package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.demo.entity.SysUserRole;
import com.yunzhi.demo.mapper.SysUserRoleMapper;
import com.yunzhi.demo.service.ISysUserRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户角色 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class SysUserRoleServiceImpl extends ServiceImpl<SysUserRoleMapper, SysUserRole> implements ISysUserRoleService {

    @Override
    public List<SysUserRole> getListByUser(String userId) {
        QueryWrapper<SysUserRole> queryWrapper = new QueryWrapper<SysUserRole>()
                .eq("user_id", userId);

        return list(queryWrapper);
    }

    @Override
    public boolean deleteByUser(String userId) {
        QueryWrapper<SysUserRole> queryWrapper = new QueryWrapper<SysUserRole>()
                .eq("user_id", userId);
        return remove(queryWrapper);
    }
}
