package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.SysUser;
import com.yunzhi.demo.mapper.SysUserMapper;
import com.yunzhi.demo.service.ISysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {
    @Autowired
    SysUserMapper sysUserMapper;

    @Override
    public IPage<SysUser> getPageListBy(IPage<SysUser> pg, String name, String phone, Integer roleId) {
        return sysUserMapper.getUserPageList(pg, name, phone, roleId);
    }

    @Override
    public SysUser getByProp(String fieldName, String fieldValue) {
        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<SysUser>()
                .eq(fieldName, fieldValue)
                .gt("status", Constants.STATUS_DELETED)
                .last("limit 1");
        return getOne(queryWrapper);
    }
}
