package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.common.DateUtils;
import com.yunzhi.demo.entity.MyReadLog;
import com.yunzhi.demo.entity.TaReadLog;
import com.yunzhi.demo.mapper.TaReadLogMapper;
import com.yunzhi.demo.service.ITaReadLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 阅读记录 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaReadLogServiceImpl extends ServiceImpl<TaReadLogMapper, TaReadLog> implements ITaReadLogService {

    @Autowired
    TaReadLogMapper taReadLogMapper;

    @Override
    public IPage<MyReadLog> getMyReadList(IPage<MyReadLog> pg, String personId) {
        return taReadLogMapper.getMyReadList(pg, personId);
    }

    @Override
    public int updateDuration(String personId, String postId, Integer duration) {
        return taReadLogMapper.updateDuration(personId, postId, duration);
    }

    @Override
    public List<Map<String, Integer>> getIndexPostPV(String startDate, String endDate) {
        LocalDateTime dt1 = DateUtils.from(startDate + " 00:00:00", "yyyy-MM-dd HH:mm:ss");
        LocalDateTime dt2 = DateUtils.from(endDate + " 00:00:00", "yyyy-MM-dd HH:mm:ss");
        long days = DateUtils.daysBetween(dt1, dt2);
        return taReadLogMapper.getIndexPostPV(startDate, endDate, days);
    }

    @Override
    public List<Map<String, Integer>> getIndexPostUV(String startDate, String endDate) {
        LocalDateTime dt1 = DateUtils.from(startDate + " 00:00:00", "yyyy-MM-dd HH:mm:ss");
        LocalDateTime dt2 = DateUtils.from(endDate + " 00:00:00", "yyyy-MM-dd HH:mm:ss");
        long days = DateUtils.daysBetween(dt1, dt2);
        return taReadLogMapper.getIndexPostUV(startDate, endDate, days);
    }
}
