package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.TdSchool;
import com.yunzhi.demo.mapper.TdSchoolMapper;
import com.yunzhi.demo.service.ITdSchoolService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 学校 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TdSchoolServiceImpl extends ServiceImpl<TdSchoolMapper, TdSchool> implements ITdSchoolService {

    @Override
    public TdSchool getByName(String name) {
        QueryWrapper<TdSchool> queryWrapper = new QueryWrapper<TdSchool>()
                .eq("name", name)
                .gt("status", Constants.STATUS_DELETED)
                .last("limit 1");
        return getOne(queryWrapper);
    }
}
